Bug 30477 - Add new UNIMARC installer translation files
Summary: Add new UNIMARC installer translation files
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on: 30373
Blocks:
  Show dependency treegraph
 
Reported: 2022-04-06 19:38 UTC by Bernardo Gonzalez Kriegel
Modified: 2022-04-29 17:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30477: Add new UNIMARC installer translation files (1.42 MB, application/octet-stream)
2022-04-06 20:15 UTC, Bernardo Gonzalez Kriegel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2022-04-06 19:38:27 UTC
Depends on Bug 30373

New files *-installer-UNIMARC.po are needed.
Comment 1 Bernardo Gonzalez Kriegel 2022-04-06 20:15:47 UTC
Created attachment 133049 [details]
Bug 30477: Add new UNIMARC installer translation files

Depends on Bug 30373

This patch adds *-installer-UNIMARC.po translation files.

For fr, it, uk and ru languages matching strings have been
extracted from master (fr-FR) or 21.05 (it,ru,uk) UNIMARC SQL
files. The mentioned languages shows some level of completion:

    fr-FR 76%
    ru-RU 61%
    it-IT 55%
    uk-UA 54%

To test:
1) Apply the patch
2) Verify new files are present
   misc/translator/po/*-installer-UNIMARC.po
3) Verify fr-FR, it-IT, ru-RU and uk-UA files
   have translated strings (inspect the files or use poedit)
4) Install any of those languages, ej. 
   
     misc/translator/translate install fr-FR

   then do a clean UNIMARC install and verify that
   authority and bibliographic frameworks shows translated
   strings.
Comment 2 Bernardo Gonzalez Kriegel 2022-04-06 20:17:02 UTC
Compressed patch, it's too large.
Comment 3 Bernardo Gonzalez Kriegel 2022-04-06 21:23:26 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #1)
> To test:
> 1) Apply the patch
> 2) Verify new files are present
>    misc/translator/po/*-installer-UNIMARC.po
> 3) Verify fr-FR, it-IT, ru-RU and uk-UA files
>    have translated strings (inspect the files or use poedit)
> 4) Install any of those languages, ej. 
>    
>      misc/translator/translate install fr-FR
> 
>    then do a clean UNIMARC install and verify that
>    authority and bibliographic frameworks shows translated
>    strings.

Revised test plan in case you choose fr-FR
Remove fr-FR mysql folder *before* installing the translation
  
  rm -rf installer/data/mysql/fr-FR
  misc/translator/translate install fr-FR

"translate install" does not touch the mysql folder if it exists.

There is no problem for it-IT, ru-RU or uk-UA
Comment 4 Jonathan Druart 2022-04-07 08:02:24 UTC
Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Fridolin Somers 2022-04-21 23:42:14 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄